=== debian/changelog ===
avogadro (1.93.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch active_widget_37960b3.patch applies upstream commit
    37960b3 to activate widgets. Closes: #948305.
  * drop --as-needed link flag in debian/rules, now used by default

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Apr 2020 16:05:26 +0800

avogadro (1.93.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: libavogadro-dev (>= 1.93)

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2020 17:30:10 +0800

avogadro (1.91.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jan 2020 10:18:58 +0800

avogadro (1.91.0-1) unstable; urgency=medium

  * Team upload.
  * update debian/watch to new upstream git repo at
    https://github.com/OpenChemistry/avogadroapp
  * New upstream release.
    - update debian/copyright to BSD-3-clause and
      Source: https://github.com/OpenChemistry/avogadroapp
    - drop deprecated patches:
        boost148.patch
        eigen3.patch
        eigen3_lib.patch
        gcc-version.diff
        libmsymfloat.patch
        libsymspg.patch
        link_to_libgl2ps.patch
  * provide avogadro package only.
    python3-avogadro, libavogadro-dev, libavogadro2-1 moved to
    avogadrolibs. avogadro-data is deprecated.
  * Build-Depends: libavogadro-dev (>= 1.90)
  * Build-Depends: libhdf5-dev, qtbase5-dev
  * configure with Avogadro_ENABLE_RPC=OFF (MoleQueue is not available)
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop menu entry (supplied sufficiently by desktop entry,
    see Debian Policy 9.6))

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 11:20:13 +1100

avogadro (1.2.0-4) unstable; urgency=medium

  [ Daniel Leidert ]
  * Adding debian/avogadro.menu

  [ Steffen Möller ]
  * Added RRID to metadata

  [ Andreas Tille ]
  * Homepage is not a defined field for d/u/metadata (any more)

  [ Andrius Merkys ]
  * Updating VCS-* fields.
  * Linking against system-installed libsymspg.
  * Adding copyright information for libmsym and spglib.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 18 Jul 2018 03:47:43 -0400

avogadro (1.2.0-3) unstable; urgency=medium

  * Team upload

  [ Michael Banck ]
  * debian/watch: Updated to Github.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Set Homepage to http://avogadro.cc/ since its obviously moved away from
    sourceforge
  * Standards-Version: 4.1.2, cme fix dpkg-control
  * debhelper 10
  * Drop explicit Priority: extra since packages should be optional
  * Drop menu file since there is a desktop file
  * Build-Depends: dh-python
  * Do not redefine DEB_HOST_MULTIARCH
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 16 Dec 2017 17:49:41 +0100

avogadro (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Update eigen3 patches, pull them from upstream. (Closes: #865085)
  * Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jul 2017 18:19:27 +0200
