=== debian/changelog ===
avogadro (1.94.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch active_widget_37960b3.patch
  * debian patch background_transparency.patch prevents the main
    window from being transparent (upstream Issue #167)
  * debian/copyright: licence for metadata is CC-1.0
    (for flatpak/org.openchemistry.Avogadro2.metainfo.xml)

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Jun 2021 03:47:51 +0200

avogadro (1.93.0-3) unstable; urgency=medium

  * Team upload.
  * provide /usr/bin/avogadro as a symlink to avogadro2
  * Standards-Version: 4.5.1
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Mar 2021 17:26:16 +0100
