=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.93),
+               libavogadro-dev (>= 1.94),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
@@ -16,7 +16,7 @@
                pkg-config,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/
