## avogadro 1.95.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "94")
-set(AvogadroApp_VERSION_PATCH   "0")
+set(AvogadroApp_VERSION_MINOR   "95")
+set(AvogadroApp_VERSION_PATCH   "1")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
 find_package(Git)
