=== debian/changelog ===
avogadro (1.95.1-2) unstable; urgency=medium

  * Team upload.
  * enable RPC (MoleQueue support)
    - Build-Depends: molequeue, libmolequeue-dev,
      avogadro Recommends: molequeue

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Oct 2021 11:29:53 +0200

avogadro (1.95.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch background_transparency.patch
  * Standards-Version: 4.6.0
  * Internationalization files are placed in debian/avogadro-i18n
    as a git subtree fetched from upstream repo
    https://github.com/OpenChemistry/avogadro-i18n
    - debian patch avogadro-i18n.patch patches source to use it.

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Oct 2021 00:50:23 +0200
