=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.94),
+               libavogadro-dev (>= 1.95~),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
                libhdf5-dev,
                libopenbabel-dev,
                libsymspg-dev,
+               molequeue, libmolequeue-dev,
                pkg-config,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/
@@ -25,7 +26,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: avogadro-utils
+Recommends: avogadro-utils,
+ molequeue
 Description: Molecular Graphics and Modelling System
  Avogadro is a molecular graphics and modelling system targeted at molecules
  and biomolecules.  It can visualize properties like molecular orbitals or
