=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 option(USE_VTK "Build with VTK support" OFF)
 if(USE_VTK)
-  find_package(VTK COMPONENTS vtkGUISupportQt vtkRenderingOpenGL2 REQUIRED)
-  include(${VTK_USE_FILE})
+  find_package(VTK COMPONENTS GUISupportQt RenderingOpenGL2 REQUIRED)
   add_definitions(-DAVO_USE_VTK)
 endif()
 
@@ -29,6 +28,7 @@
   backgroundfileformat.cpp
   mainwindow.cpp
   menubuilder.cpp
+  tooltipfilter.cpp
   viewfactory.cpp
 )
 
@@ -59,7 +59,7 @@
   FILES_MATCHING PATTERN "*.qm"
 )
 
-if(INSTALL_BUNDLE_FILES)
+if(APPLE OR WIN32 OR INSTALL_BUNDLE_FILES)
 # copy the qt translation files
 get_filename_component(_qttranslationdir "${Qt5_DIR}/../../../translations" ABSOLUTE)
 message(STATUS "Trying to install Qt translations ${_qttranslationdir}")
@@ -101,6 +101,29 @@
   include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
   set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
 
+  # for all the translations, create a .lproj directory
+  # Migrated from Avo 1.x - contributed by Geoff Hutchison
+  # We're assuming that there will never be an libavogadro translation
+  #  without a corresponding avogadro one.
+  # (Fairly safe assumption)
+
+  # This regex gives us translations with just two characters
+  #  (e.g., avogadro_fr.ts)
+  FILE(GLOB avogadro_QM "${INSTALL_DATA_DIR}/avogadro2/i18n/*.qm")
+  string(REGEX MATCHALL "-[a-z]+\\.qm" langresult "${avogadro_QM}")
+  string(REGEX REPLACE "-([^.]+)\\.qm" "\\1" languages "${langresult}")
+  # This one gives us languages for country codes (e.g., avogadro_zh_CN.ts)
+  string(REGEX MATCHALL "-[a-z]+_[A-Z]+\\.qm" langresult "${avogadro_QM}")
+  string(REGEX REPLACE "-([^_]+_[^.]+)\\.qm" "\\1" fulllangs "${langresult}")
+  set (LANGUAGES "${languages};${fulllangs};en;en_US")
+
+  foreach(lang ${LANGUAGES})
+    set( MAC_LANG_DIR "${CMAKE_INSTALL_PREFIX}/Resources/${lang}.lproj" )
+    install(CODE "EXECUTE_PROCESS(COMMAND
+      mkdir ${MAC_LANG_DIR}
+      ERROR_QUIET)")
+  endforeach()
+
   list(APPEND avogadro_srcs icons/avogadro.icns)
   list(APPEND avogadro_srcs icons/doc.icns)
   list(APPEND avogadro_srcs icons/cml.icns)
@@ -124,6 +147,7 @@
 
 elseif(UNIX)
   install(FILES "icons/avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
+  install(FILES "icons/avogadro2.appdata.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
   install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}"
     RENAME "avogadro2.png")
 elseif(WIN32)
