=== debian/changelog ===
avogadro (1.97.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch fix_alpha_transparency_PR262.patch
    - installs metainfo data
  * debian/copyright: add licence entry (CC0-1.0) for appdata metainfo

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jul 2022 10:03:19 +0200

avogadro (1.96.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch fix_alpha_transparency_PR262.patch applies upstream
    PR262 to fix transparency in OpenGL windows. Closes: #1008719.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jun 2022 16:01:59 +0200

avogadro (1.96.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - versioned Build-Depends: libavogadro-dev (>= 1.96~)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jun 2022 12:44:39 +0200
