=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.95~),
+               libavogadro-dev (>= 1.96~),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
@@ -17,7 +17,7 @@
                pkg-config,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/
