=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,16 @@
 
 if(MSVC)
   add_definitions("-D_CRT_SECURE_NO_WARNINGS")
+else()
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
 endif()
 
 # Find the Qt components we need.
-find_package(Qt5 REQUIRED COMPONENTS Concurrent Widgets Network CONFIG)
+if(QT_VERSION EQUAL 6)
+  find_package(Qt6 COMPONENTS Concurrent Widgets Network Core5Compat REQUIRED)
+else()
+  find_package(Qt5 COMPONENTS Concurrent Widgets Network REQUIRED)
+endif()
 
 configure_file(avogadroappconfig.h.in avogadroappconfig.h)
 
@@ -28,16 +34,18 @@
   backgroundfileformat.cpp
   mainwindow.cpp
   menubuilder.cpp
+  renderingdialog.cpp
   tooltipfilter.cpp
   viewfactory.cpp
 )
 
-qt5_wrap_ui(ui_srcs
+qt_wrap_ui(ui_srcs
   aboutdialog.ui
   mainwindow.ui
-)
-
-qt5_add_resources(rcc_srcs avogadro.qrc)
+  renderingdialog.ui
+)
+
+qt_add_resources(rcc_srcs avogadro.qrc)
 
 # download and install QM translation files
 # Look in parallel directory for the i18n repository
@@ -62,7 +70,7 @@
 if(APPLE OR WIN32 OR INSTALL_BUNDLE_FILES)
 # copy the qt translation files
 get_filename_component(_qttranslationdir "${Qt5_DIR}/../../../translations" ABSOLUTE)
-message(STATUS "Trying to install Qt translations ${_qttranslationdir}")
+message(STATUS "Install Qt translations ${_qttranslationdir}")
 install(DIRECTORY "${_qttranslationdir}/"
 DESTINATION "${INSTALL_DATA_DIR}/avogadro2/i18n"
 FILES_MATCHING PATTERN "qt_*.qm" PATTERN "qtbase*.qm"
@@ -154,20 +162,29 @@
   list(APPEND avogadro_srcs icons/avogadro.rc)
 endif()
 
+if(USE_3DCONNEXION AND (WIN32 OR APPLE))
+  list(APPEND avogadro_srcs icons/3dx_pivot.png)
+  list(APPEND avogadro_srcs tdxcontroller.cpp) 
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_load.cpp") 
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_stub.c") 
+  set_source_files_properties(icons/3dx_pivot.png PROPERTIES
+  MACOSX_PACKAGE_LOCATION Resources)
+endif()
+
 add_executable(avogadro WIN32 MACOSX_BUNDLE
   ${avogadro_srcs} ${ui_srcs} ${rcc_srcs})
-target_link_libraries(avogadro Qt5::Widgets Qt5::Network Qt5::Concurrent)
+target_link_libraries(avogadro Qt::Widgets Qt::Network Qt::Concurrent)
 if(WIN32)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:MSVCRTD")
-  target_link_libraries(avogadro Qt5::WinMain)
+  target_link_libraries(avogadro Qt::WinMain)
 endif()
 set_target_properties(avogadro PROPERTIES AUTOMOC TRUE)
-target_link_libraries(avogadro AvogadroQtOpenGL AvogadroQtGui AvogadroQtPlugins)
+target_link_libraries(avogadro Avogadro::QtOpenGL Avogadro::QtGui Avogadro::QtPlugins)
 if(Avogadro_ENABLE_RPC)
   target_link_libraries(avogadro MoleQueueServerCore MoleQueueClient)
 endif()
 if(USE_VTK)
-  target_link_libraries(avogadro ${VTK_LIBRARIES} AvogadroVtk)
+  target_link_libraries(avogadro ${VTK_LIBRARIES} Avogadro::Vtk)
 endif()
 if(APPLE)
   set_target_properties(avogadro PROPERTIES OUTPUT_NAME ${MACOSX_BUNDLE_NAME})
@@ -177,6 +194,21 @@
 if(ENABLE_TESTING)
   target_link_libraries(avogadro QtTesting)
 endif()
+if(QT_VERSION EQUAL 6)
+  target_link_libraries(avogadro Qt6::Core5Compat)
+endif()
+
+if(USE_3DCONNEXION AND (WIN32 OR APPLE))
+  target_compile_definitions(avogadro PUBLIC _3DCONNEXION)
+  target_include_directories(avogadro PUBLIC "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/inc")
+	if(APPLE)
+		target_compile_definitions(avogadro PUBLIC __APPLE__)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdeclspec")
+	elseif(WIN32)
+		install(FILES "icons/3dx_pivot.png" DESTINATION "${CMAKE_INSTALL_BINDIR}/img")
+	endif()
+endif()  
+
 install(TARGETS avogadro
   RUNTIME DESTINATION ${INSTALL_RUNTIME_DIR}
   BUNDLE DESTINATION .
