=== avogadro/lastinstall/CMakeLists.txt ===
--- 
+++ 
@@ -42,10 +42,19 @@
   # likely only be required on Mac / Windows since Qt package on Unix provides
   if(APPLE OR WIN32)
     # JPG BMP, WebP, GIF plus default of PNG, etc.
-    foreach(qt_plugin Qt5::QJpegPlugin Qt5::QWbmpPlugin Qt5::QWebpPlugin Qt5::QGifPlugin)
-      get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
-      list(APPEND plugins ${location})
-    endforeach()
+    # .. for whatever reason, they don't have a Qt::QJpegPlugin
+    # .. only the versioned Qt5::QJpegPlugin, etc.
+    if(QT_VERSION EQUAL 6)
+      foreach(qt_plugin Qt6::QJpegPlugin Qt6::QWbmpPlugin Qt6::QWebpPlugin Qt6::QGifPlugin)
+        get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
+        list(APPEND plugins ${location})
+      endforeach()
+    else()
+      foreach(qt_plugin Qt5::QJpegPlugin Qt5::QWbmpPlugin Qt5::QWebpPlugin Qt5::QGifPlugin)
+        get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
+        list(APPEND plugins ${location})
+      endforeach()
+    endif()
   endif()
 
   # Find and fixup the Open Babel plugins (if installed)
@@ -63,4 +72,12 @@
   include(InstallRequiredSystemLibraries)
   include(DeployQt5)
   install_qt5_executable(${exe} "${plugins}" "${ob_plugins}" "${dirs}" "")
+  if (INSTALL_BUNDLE_FILES)
+    # Fixup the bundle
+    install(CODE "
+      include(BundleUtilities)
+      get_property(bundle TARGET avogadro PROPERTY LOCATION_RELEASE)
+      fixup_bundle(\"${bundle}/..\" \"${plugins}\" \"${dirs}\")
+      " COMPONENT Runtime)
+  endif()
 endif()
