## avogadro 1.99.0

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 )
 endif()
 
-install(DIRECTORY "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadroapp/" 
+install(DIRECTORY "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadroapp/"
   "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadrolibs/"
   DESTINATION "${INSTALL_DATA_DIR}/avogadro2/i18n"
   FILES_MATCHING PATTERN "*.qm"
@@ -87,7 +87,11 @@
 endif()
 
 if(ENABLE_TESTING)
+if(QT_VERSION EQUAL 6)
+  find_package(Qt6 COMPONENTS Test REQUIRED)
+elseif(QT_VERSION EQUAL 5)
   find_package(Qt5 COMPONENTS Test REQUIRED)
+endif()
   find_package(QtTesting REQUIRED NO_MODULE)
   include_directories(${QtTesting_INCLUDE_DIRS})
   link_directories(${QtTesting_LIBRARY_DIR})
@@ -105,9 +109,12 @@
 # Handle Mac OS X specific icons etc.
 if(APPLE)
   # add some Objective-C++ code
-  list(APPEND avogadro_srcs mac.mm ../thirdparty/qcocoacontrols/qcocoamessagebox.mm)
-  include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
-  set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
+  list(APPEND avogadro_srcs mac.mm)
+  if (QT_VERSION EQUAL 5)
+    list(APPEND avogadro_srcs ../thirdparty/qcocoacontrols/qcocoamessagebox.mm)
+    include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
+    set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
+  endif()
 
   # for all the translations, create a .lproj directory
   # Migrated from Avo 1.x - contributed by Geoff Hutchison
@@ -164,9 +171,9 @@
 
 if(USE_3DCONNEXION AND (WIN32 OR APPLE))
   list(APPEND avogadro_srcs icons/3dx_pivot.png)
-  list(APPEND avogadro_srcs tdxcontroller.cpp) 
-  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_load.cpp") 
-  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_stub.c") 
+  list(APPEND avogadro_srcs tdxcontroller.cpp)
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_load.cpp")
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_stub.c")
   set_source_files_properties(icons/3dx_pivot.png PROPERTIES
   MACOSX_PACKAGE_LOCATION Resources)
 endif()
@@ -176,7 +183,9 @@
 target_link_libraries(avogadro Qt::Widgets Qt::Network Qt::Concurrent)
 if(WIN32)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:MSVCRTD")
+if(QT_VERSION EQUAL 5)
   target_link_libraries(avogadro Qt::WinMain)
+endif()
 endif()
 set_target_properties(avogadro PROPERTIES AUTOMOC TRUE)
 target_link_libraries(avogadro Avogadro::QtOpenGL Avogadro::QtGui Avogadro::QtPlugins)
@@ -207,7 +216,7 @@
 	elseif(WIN32)
 		install(FILES "icons/3dx_pivot.png" DESTINATION "${CMAKE_INSTALL_BINDIR}/img")
 	endif()
-endif()  
+endif()
 
 install(TARGETS avogadro
   RUNTIME DESTINATION ${INSTALL_RUNTIME_DIR}
