=== debian/changelog ===
avogadro (1.99.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:33:00 +1100

avogadro (1.99.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:53:58 +0000

avogadro (1.99.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Build-Depends: libavogadro-dev (>= 1.99~)
  * update debian/avogadro-i18n from upstream git
  * update Build-Depends: pkgconf not pkg-config

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 13:15:05 +0100

avogadro (1.98.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 16:28:00 +0100
