=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: avogadro
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.96~),
+               libavogadro-dev (>= 1.99~),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
@@ -14,10 +15,10 @@
                libopenbabel-dev,
                libsymspg-dev,
                molequeue, libmolequeue-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/
