=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_SKIP_RPATH=TRUE \
-	-DAvogadro_ENABLE_RPC=OFF \
+	-DAvogadro_ENABLE_RPC=ON \
 	-DBUILD_DOCUMENTATION=ON \
 	  -DChemData_SOURCE_DIR=$(CURDIR) \
 	  -DChemData_BINARY_DIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
