## avogadro 1.100.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,8 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "98")
-set(AvogadroApp_VERSION_PATCH   "1")
+set(AvogadroApp_VERSION_MINOR   "100")
+set(AvogadroApp_VERSION_PATCH   "0")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
 find_package(Git)
