=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,21 @@
 
 # Find the Qt components we need.
 if(QT_VERSION EQUAL 6)
-  find_package(Qt6 COMPONENTS Concurrent Widgets Network Core5Compat REQUIRED)
+  find_package(Qt6
+    COMPONENTS
+      Concurrent
+      Widgets
+      Network
+      OpenGL
+      OpenGLWidgets
+    REQUIRED)
 else()
-  find_package(Qt5 COMPONENTS Concurrent Widgets Network REQUIRED)
+  find_package(Qt5
+    COMPONENTS
+      Concurrent
+      Widgets
+      Network
+    REQUIRED)
 endif()
 
 configure_file(avogadroappconfig.h.in avogadroappconfig.h)
@@ -161,10 +173,22 @@
     MACOSX_PACKAGE_LOCATION Resources)
 
 elseif(UNIX)
-  install(FILES "icons/avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
-  install(FILES "icons/avogadro2.appdata.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
-  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}"
-    RENAME "avogadro2.png")
+  install(FILES "icons/org.openchemistry.Avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
+  install(FILES "icons/org.openchemistry.Avogadro2.metainfo.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
+  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/32x32/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/16x16@2/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_64.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/64x64/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_64.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/32x32@2/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_128.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/128x128/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_256.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/256x256/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2.svg" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/scalable/apps"
+    RENAME "org.openchemistry.Avogadro2.svg")
 elseif(WIN32)
   list(APPEND avogadro_srcs icons/avogadro.rc)
 endif()
@@ -201,10 +225,10 @@
   set_target_properties(avogadro PROPERTIES OUTPUT_NAME "avogadro2")
 endif()
 if(ENABLE_TESTING)
-  target_link_libraries(avogadro QtTesting)
+  target_link_libraries(avogadro qttesting)
 endif()
 if(QT_VERSION EQUAL 6)
-  target_link_libraries(avogadro Qt6::Core5Compat)
+  target_link_libraries(avogadro Qt6::OpenGL Qt6::OpenGLWidgets)
 endif()
 
 if(USE_3DCONNEXION AND (WIN32 OR APPLE))
