=== debian/changelog ===
avogadro (1.100.0-2) unstable; urgency=medium

  * Team upload.
  * fix versioned Build-Depends: libavogadro-dev (>= 1.100~)
  * update avogadro-i18n to 1.100.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Feb 2025 10:52:49 +0900

avogadro (1.100.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Build-Depends: libavogadro-dev (>= 1.100~)
  * Build against Qt6
    - drop RPC (MoleQueue) support, since MoleQueue does not support
      Qt6 (see upstream Issue#561)
  * drop avogadro.xpm. Icons are now provided in /usr/share/icons
  * update debian/copyright: metadata file changed to
    org.openchemistry.Avogadro2, flatpak metadata dropped.
  * Debian Janitor: Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libeigen3-dev.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Feb 2025 01:05:36 +0900

avogadro (1.99.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).

 -- Andreas Tille <tille@debian.org>  Thu, 06 Feb 2025 08:28:02 +0100
