=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: avogadro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.99~),
-               libeigen3-dev (>> 3.3),
+               libavogadro-dev (>= 1.100~),
+               libeigen3-dev,
                libgl2ps-dev,
                libglew-dev,
                libhdf5-dev,
                libopenbabel-dev,
                libsymspg-dev,
-               molequeue, libmolequeue-dev,
+               molequeue,
+               libmolequeue-dev,
                pkgconf,
-               qtbase5-dev,
+               qt6-base-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
-Homepage: http://avogadro.cc/
+Homepage: https://avogadro.cc/
 
 Package: avogadro
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: avogadro-utils,
- molequeue
+            molequeue
 Description: Molecular Graphics and Modelling System
  Avogadro is a molecular graphics and modelling system targeted at molecules
  and biomolecules.  It can visualize properties like molecular orbitals or
